{% extends 'index.html' %}
{% load static %}

{% block header-css-nocompress %}
     <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.min.css" />
{% endblock %}
{% block title %}{{html_title}}{% endblock title %}

{% block page %}
<div class="g-search" id="global-search">
 <div class="section section_default">
   <div class="section__content">
     <div class="section__header header header_listing">
       <div class="header__main">
         <h1>Поиск </h1>
       </div>
       <div class="header__controls">

       </div>
     </div>
     <div class="section__body">
          <div class="g-search-field-search">
               <div class="field">
                    <div class="control control_default control_m">
                         <input
                              v-model="querySearch"
                              type="text"
                              @keyup.enter="querySearchKeyUp"
                              ref="searchInputRef"
                              placeholder="Введите слово для поиска"
                         >
                         <div 
                         @click="querySearchKeyUp"
                         class="control__icon icon icon_24 icon_default">
                              <svg>
                                   <use xlink:href="#icon_search_24"></use>
                              </svg>
                         </div>
                    </div>
               </div>
          </div>

          <div class="g-search__hodler">


               <div class="g-search__loading" :class="{ loading: isLoading, error: isError }" ref="loadingStub">
                    <div class="loading-stub" ></div>
                    <div class="g-search__error" >
                         <p>Извините! Произошла ошибка при поиске</p>
                    </div>
               </div>

               <div v-if="!isLoading && !isError && isEmptySearch() && querySearch !== ''" class="g-search__empty-search" v-cloak>
                    <p> Извините! По вашему запросу ничего не найдено</p>
               </div>
               <div v-else v-cloak>

                    <div v-if="orders.length > 0" class="g-search__item-type" >
                         <h2 class="g-search__item-title" >
                              Заказы
                              <span class="section__count">${orders.length}</span>
                         </h2>
                         <div class="g-search__item-list-holder orders-grid orders-grid_default">
                              <div v-for="order in orders" class="orders-grid__item" :key="order.id">
                                   {% include 'order/orders.html' %}
                              </div>
                         </div>
                    </div>

                    <div v-if="reports.length > 0" class="g-search__item-type">
                         <h2 class="g-search__item-title" >
                              Отчёты
                              <span class="section__count">${reports.length}</span>
                         </h2>
                         <div class="g-search__item-list-holder users-grid users-grid_default table_default">
                              <div v-for="report in reports" :id="report.id" class="table__item mod">
                                   {% include 'report/reports-list-item.html' %}
                              </div>
                         </div>
                    </div>

                    <div v-if="users.length > 0" class="g-search__item-type">
                         <h2 class="g-search__item-title" >
                              Пользователи
                              <span class="section__count">${users.length}</span>
                         </h2>
                         <div class="g-search__item-list-holder users-grid users-grid_default">
                              <div v-for="user in users" class="users-grid__item" :key="user.id">
                                   {% include 'user/user-list-item.html' %}
                              </div>
                         </div>
                    </div>

                    <div v-if="reviews.length > 0" class="g-search__item-type">
                         <h2 class="g-search__item-title" >
                              Отзывы
                              <span class="section__count">${reviews.length}</span>
                         </h2>
                         <div class="g-search__item-list-holder users-grid users-grid_default">
                              <div v-for="review in reviews" class="users-grid__item review__block" :key="review.id">
                                   {% include 'reviews/reviews.html' %}
                              </div>
                         </div>
                    </div>

               </div>

          </div>

     </div>
   </div>
 </div>
</div>
{% endblock %}

{% block script %}
     <script src="{% static 'assets/js/vue/vee-validate.min.js' %}">
     </script>
     <script>
          var store = {
               state: {
                    filter: '',
                    filterCount: 0
               }
          }
     </script>


<script src="{% static 'js/globalsearch.bundle.js' %}"></script>
     <!-- <script src="{% static 'js/orderlist.bundle.js' %}"></script> -->
{% endblock %}
{% block script-nocompress %}
     <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.js"></script>
{% endblock %}